package kr.co.mkblog.mkblogopenglesexample;

import android.content.Context;
import android.opengl.GLSurfaceView;
import android.view.MotionEvent;

public class mkGLSurfaceView extends GLSurfaceView{

    private final Context mkContext;
    private mkGLRenderer mkRender;

    //MK: Touch 관련해서 위치 계산을 위한 코드
    private float mkPreviousX;
    private float mkPreviousY;

    public mkGLSurfaceView(Context tmp) {
        super(tmp);
        mkContext = tmp;
        setEGLContextClientVersion(3);

        mkRender = new mkGLRenderer(tmp);
        setRenderer(mkRender);
    }

    @Override
    public boolean onTouchEvent(MotionEvent event) {
        float firstX = event.getX();
        float firstY = event.getY();

        switch(event.getAction()) {

            case MotionEvent.ACTION_MOVE:

                float dx = firstX - mkPreviousX;
                float dy = firstY - mkPreviousY;
                //float tmpX = dx / getWidth() * 360;
                //float tmpY = dy / getHeight() * 360;
                //mkRender.setAngle(tmpX, tmpY);
                mkRender.setDiff(dx, dy);
                //requestRender();
        }
        mkPreviousX = firstX;
        mkPreviousY = firstY;
        return true;
    }
}